%define upstream_name    Dist-Zilla-Plugin-MetaData-BuiltWith
%define upstream_version 1.004005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Go overkill and report everything in all name-spaces
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Converter)
BuildRequires: perl(Carp)
BuildRequires: perl(Devel::CheckBin)
BuildRequires: perl(Dist::Zilla::File::FromCode)
BuildRequires: perl(Dist::Zilla::Role::ConfigDumper) >= 4.101.540
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Often, distribution authors get module dependencies wrong. So in such
cases, its handy to be able to see what version of various packages they
built with.

Some would prefer to demand everyone install the same version as they did,
but that's also not always necessary.

Hopefully, the existence of the metadata provided by this module will help
users on their end machines make intelligent choices about what modules to
install in the event of a problem.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.4.5-4.mga8
+ Revision: 1504055
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.4.5-3.mga7
+ Revision: 1283036
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.4.5-2.mga7
+ Revision: 1164231
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 1.4.5-1.mga7
+ Revision: 1157578
- update to 1.004005

* Sun May 08 2016 shlomif <shlomif> 1.4.3-1.mga6
+ Revision: 1010603
- update to 1.004003

* Thu Feb 18 2016 umeabot <umeabot> 1.4.2-2.mga6
+ Revision: 967325
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.4.2-1.mga6
+ Revision: 848715
- update to 1.004002

* Thu Dec 11 2014 sander85 <sander85> 1.3.0-3.mga5
+ Revision: 802698
- Fix BRs
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 1.3.0-1.mga5
+ Revision: 671903
- update to 1.003000

* Mon Aug 18 2014 sander85 <sander85> 1.2.0-1.mga5
+ Revision: 665106
- update to 1.002000

* Sat Aug 16 2014 sander85 <sander85> 1.1.1-1.mga5
+ Revision: 664065
- update to 1.001001

* Fri Aug 01 2014 sander85 <sander85> 1.1.0-1.mga5
+ Revision: 658957
- update to 1.001000

* Mon Jul 21 2014 sander85 <sander85> 1.0.1-1.mga5
+ Revision: 655063
- update to 1.000001

* Tue May 20 2014 jquelin <jquelin> 1.0.0-1.mga5
+ Revision: 624253
- update to 1.000000

* Sat Feb 08 2014 sander85 <sander85> 0.40.0.20-1.mga5
+ Revision: 586059
- update to 0.04000002

* Mon Oct 21 2013 umeabot <umeabot> 0.40.0.0-2.mga4
+ Revision: 537794
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.40.0.0-1.mga4
+ Revision: 487744
- update to 0.04000000

* Sun Jan 13 2013 umeabot <umeabot> 0.30.1.0-2.mga3
+ Revision: 366277
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 0.30.1.0-1.mga3
+ Revision: 291666
- update to 0.03000100

* Tue Jun 05 2012 jquelin <jquelin> 0.30.0.0-1.mga3
+ Revision: 254872
- update to 0.03000000

* Mon Mar 05 2012 jquelin <jquelin> 0.20.1.0-1.mga2
+ Revision: 218723
- update to 0.02000100

* Thu Nov 03 2011 jquelin <jquelin> 0.10.182.50-1.mga2
+ Revision: 162196
- update to 0.01018205

* Fri Feb 25 2011 jquelin <jquelin> 0.10.182.40-1.mga1
+ Revision: 59880
- update to 0.01018204

* Wed Jan 26 2011 jquelin <jquelin> 0.10.51.220-1.mga1
+ Revision: 40476
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-MetaData-BuiltWith

